cdac.medinfo.sdk.hl7282.utils

## Interface IAttributeItem

- All Known Implementing Classes:
    AttributeItem

      public interface IAttributeItem

  IAttributeItem needs to be implemented by class which defines structure of HL7 defined attributes for a Segment.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConformanceLength()` Retrieves Conformance Length for attribute defined by HL7 standard in segment
    `java.lang.String` | `getDataType()` Retrieves Data Type for attribute defined by HL7 standard in segment
    `java.lang.String` | `getFieldName()` Retrieves name of attribute
    `int` | `getItemID()` Retrieves Item ID for attribute defined by HL7 standard.
    `int` | `getMaximumLength()` Retrieves Maximum Length for attribute defined by HL7 standard in segment
    `int` | `getMinimumLength()` Retrieves Minimum Length for attribute defined by HL7 standard in segment
    `int` | `getOccurrence()` Retrieves Occurrence for attribute defined by HL7 standard in segment
    `int` | `getSequenceNo()` Retrieves sequence number for attribute defined by HL7 standard in segment
    `int[]` | `getTableNo()` Retrieves Table number for attribute defined by HL7 standard in segment
    `boolean` | `isOptional()` Shows optionality status for attribute defined by HL7 standard in segment
    `boolean` | `isRepeatable()` Shows repeatability status for attribute defined by HL7 standard in segment
    `void` | `setConformanceLength(java.lang.String cLen)` Sets Conformance Length for attribute defined by HL7 standard in segment
    `void` | `setDataType(java.lang.String strDataType)` Sets Datatype for attribute defined by HL7 standard in segment
    `void` | `setFieldName(java.lang.String strName)` Sets name of attribute
    `void` | `setItemID(int intItemID)` Sets Item ID for attribute defined by HL7 standard.
    `void` | `setMaximumLength(int maxLen)` Sets Maximum Length for attribute defined by HL7 standard in segment
    `void` | `setMinimumLength(int minLen)` Sets Minimum Length for attribute defined by HL7 standard in segment
    `void` | `setOccurrence(int intOccurrence)` Sets Occurrence for attribute defined by HL7 standard in segment
    `void` | `setOptional(boolean bOptional)` Sets optionality status for attribute defined by HL7 standard in segment
    `void` | `setRepeatable(boolean bRepeatable)` Sets repeatability status for attribute defined by HL7 standard in segment
    `void` | `setSequenceNo(int intSeq)` Sets sequence number for attribute defined by HL7 standard in segment
    `void` | `setTableNo(int[] intTableNo)` Sets Table number for attribute defined by HL7 standard in segment

- - ### Method Detail

    - #### getFieldName

          java.lang.String getFieldName()

      Retrieves name of attribute
      Returns:
        String - name of attribute

    - #### setFieldName

          void setFieldName(java.lang.String strName)

      Sets name of attribute
      Parameters:
        `strName` - name of attribute

    - #### getItemID

          int getItemID()

      Retrieves Item ID for attribute defined by HL7 standard.
      Returns:
        int value of ItemID

    - #### setItemID

          void setItemID(int intItemID)

      Sets Item ID for attribute defined by HL7 standard.
      Parameters:
        `intItemID` - value of ItemID

    - #### getSequenceNo

          int getSequenceNo()

      Retrieves sequence number for attribute defined by HL7 standard in segment
      Returns:
        int - value of sequence index

    - #### setSequenceNo

          void setSequenceNo(int intSeq)

      Sets sequence number for attribute defined by HL7 standard in segment
      Parameters:
        `intSeq` - value of sequence index

    - #### getMaximumLength

          int getMaximumLength()

      Retrieves Maximum Length for attribute defined by HL7 standard in segment
      Returns:
        int - value of Maximum length

    - #### setMaximumLength

          void setMaximumLength(int maxLen)

      Sets Maximum Length for attribute defined by HL7 standard in segment
      Parameters:
        `maxLen` - Maximum length value

    - #### getMinimumLength

          int getMinimumLength()

      Retrieves Minimum Length for attribute defined by HL7 standard in segment
      Returns:
        int - value of Minimum length

    - #### setMinimumLength

          void setMinimumLength(int minLen)

      Sets Minimum Length for attribute defined by HL7 standard in segment
      Parameters:
        `minLen` - Minimum length value

    - #### getConformanceLength

          java.lang.String getConformanceLength()

      Retrieves Conformance Length for attribute defined by HL7 standard in segment
      Returns:
        String - value of Conformance length

    - #### setConformanceLength

          void setConformanceLength(java.lang.String cLen)

      Sets Conformance Length for attribute defined by HL7 standard in segment
      Parameters:
        `cLen` - Conformance length value

    - #### getDataType

          java.lang.String getDataType()

      Retrieves Data Type for attribute defined by HL7 standard in segment
      Returns:
        String name of DataType

    - #### setDataType

          void setDataType(java.lang.String strDataType)

      Sets Datatype for attribute defined by HL7 standard in segment
      Parameters:
        `strDataType` - name of attribute

    - #### getTableNo

          int[] getTableNo()

      Retrieves Table number for attribute defined by HL7 standard in segment
      Returns:
        int[] - array of table number

    - #### setTableNo

          void setTableNo(int[] intTableNo)

      Sets Table number for attribute defined by HL7 standard in segment
      Parameters:
        `intTableNo` - array of table number

    - #### isRepeatable

          boolean isRepeatable()

      Shows repeatability status for attribute defined by HL7 standard in segment
      Returns:
        boolean - status as true or false

    - #### getOccurrence

          int getOccurrence()

      Retrieves Occurrence for attribute defined by HL7 standard in segment
      Returns:
        int - Number of Occurrence of the attribute

    - #### setOccurrence

          void setOccurrence(int intOccurrence)

      Sets Occurrence for attribute defined by HL7 standard in segment
      Parameters:
        `intOccurrence` - Size of the attribute

    - #### setRepeatable

          void setRepeatable(boolean bRepeatable)

      Sets repeatability status for attribute defined by HL7 standard in segment
      Parameters:
        `bRepeatable` - status as true or false

    - #### isOptional

          boolean isOptional()

      Shows optionality status for attribute defined by HL7 standard in segment
      Returns:
        boolean - status as true or false

    - #### setOptional

          void setOptional(boolean bOptional)

      Sets optionality status for attribute defined by HL7 standard in segment
      Parameters:
        `bOptional` - status as true or false